Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

## Class GroupHeader83

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_08.GroupHeader83

    public class GroupHeader83
    extends java.lang.Object

Java class for GroupHeader83 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeader83">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max35Text"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}ISODateTime"/>
             <element name="Authstn" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Authorisation1Choice" maxOccurs="2" minOccurs="0"/>
             <element name="NbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max15NumericText"/>
             <element name="CtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}DecimalNumber" minOccurs="0"/>
             <element name="InitgPty" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PartyIdentification135"/>
             <element name="FwdgAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<Authorisation1Choice>` `authstn`
`protected javax.xml.datatype.XMLGregorianCalendar` `creDtTm`
`protected java.math.BigDecimal` `ctrlSum`
`protected BranchAndFinancialInstitutionIdentification6` `fwdgAgt`
`protected PartyIdentification135` `initgPty`
`protected java.lang.String` `msgId`
`protected java.lang.String` `nbOfTxs`

### Constructor Summary

Constructors
`GroupHeader83()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<Authorisation1Choice>` `getAuthstn()` Gets the value of the authstn property.
`javax.xml.datatype.XMLGregorianCalendar` `getCreDtTm()` Gets the value of the creDtTm property.
`java.math.BigDecimal` `getCtrlSum()` Gets the value of the ctrlSum property.
`BranchAndFinancialInstitutionIdentification6` `getFwdgAgt()` Gets the value of the fwdgAgt property.
`PartyIdentification135` `getInitgPty()` Gets the value of the initgPty property.
`java.lang.String` `getMsgId()` Gets the value of the msgId property.
`java.lang.String` `getNbOfTxs()` Gets the value of the nbOfTxs property.
`void` `setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the creDtTm property.
`void` `setCtrlSum​(java.math.BigDecimal value)` Sets the value of the ctrlSum property.
`void` `setFwdgAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the fwdgAgt property.
`void` `setInitgPty​(PartyIdentification135 value)` Sets the value of the initgPty property.
`void` `setMsgId​(java.lang.String value)` Sets the value of the msgId property.
`void` `setNbOfTxs​(java.lang.String value)` Sets the value of the nbOfTxs property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgId

    protected java.lang.String msgId

#### creDtTm

    protected javax.xml.datatype.XMLGregorianCalendar creDtTm

#### authstn

    protected java.util.List<Authorisation1Choice> authstn

#### nbOfTxs

    protected java.lang.String nbOfTxs

#### ctrlSum

    protected java.math.BigDecimal ctrlSum

#### initgPty

    protected PartyIdentification135 initgPty

#### fwdgAgt

    protected BranchAndFinancialInstitutionIdentification6 fwdgAgt

### Constructor Detail

#### GroupHeader83

    public GroupHeader83()

### Method Detail

#### getMsgId

    public java.lang.String getMsgId()

Gets the value of the msgId property.

Returns:
  possible object is `String`

#### setMsgId

    public void setMsgId​(java.lang.String value)

Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

#### getCreDtTm

    public javax.xml.datatype.XMLGregorianCalendar getCreDtTm()

Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setCreDtTm

    public void setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getAuthstn

    public java.util.List<Authorisation1Choice> getAuthstn()

Gets the value of the authstn property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the authstn property.

For example, to add a new item, do as follows:

        getAuthstn().add(newItem);

Objects of the following type(s) are allowed in the list `Authorisation1Choice`

#### getNbOfTxs

    public java.lang.String getNbOfTxs()

Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

#### setNbOfTxs

    public void setNbOfTxs​(java.lang.String value)

Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

#### getCtrlSum

    public java.math.BigDecimal getCtrlSum()

Gets the value of the ctrlSum property.

Returns:
  possible object is `BigDecimal`

#### setCtrlSum

    public void setCtrlSum​(java.math.BigDecimal value)

Sets the value of the ctrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getInitgPty

    public PartyIdentification135 getInitgPty()

Gets the value of the initgPty property.

Returns:
  possible object is `PartyIdentification135`

#### setInitgPty

    public void setInitgPty​(PartyIdentification135 value)

Sets the value of the initgPty property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getFwdgAgt

    public BranchAndFinancialInstitutionIdentification6 getFwdgAgt()

Gets the value of the fwdgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setFwdgAgt

    public void setFwdgAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the fwdgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`